Subject: RE: Follow-up on Friday's meeting
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 16 May 2000 13:30:00 -0700 (PDT)

Frank - 

There appears to have been a mild snafu with my e-mail address (my fault, not 
yours) and I have just now seen your note from yesterday morning.  I am 
working on the Posting Agreement.  I'm afraid Louise may have thought more 
highly of my abilities to create something like that from whole cloth than I 
deserved but we will try and get that to you soon.  Travis McCullough, our 
corporate lawyer, will get together a term sheet on the equity side of things 
which we should be able to get to you quickly (no later than Thursday if his 
schedule permits).  I'm assuming that your legal team will have to be 
draftsmen of the definitive corporate documents but the term sheet should 
give them a good starting point (and let you confirm that the lawyers on both 
sides are getting it right).

Sorry for the delay and confusion - we'll get these out to you as soon as we 
can.

Mark